# RuntimeClasspathNormalization

interface RuntimeClasspathNormalization : InputNormalization

Configuration of runtime classpath normalization.

Several methods accept a file pattern to selectively normalize files. Patterns may include:

- '*' to match any number of characters
- '?' to match any single character
- '**' to match any number of directories or files

Either '/' or '\' may be used in a pattern to separate directories. Patterns ending with '/' or '\' will have '**' automatically appended.

Examples:

    all files ending with '.json' (including files in subdirectories)
       **/*.json

Content copied to clipboard

    all files beginning with 'build-' in the level1/level2 directory
       level1/level2/build-*

Content copied to clipboard

    all files (including subdirectories) beneath config/build-data
      config/build-data/

Content copied to clipboard

    all properties files in a build directory beneath com/acme (including subdirectories)
      com/acme/**/build/*.properties

Content copied to clipboard

#### Since

4.0

## Functions

ignore
Link copied to clipboard
abstract fun ignore(pattern: String)
Ignore resources in classpath entries matching `pattern`.
metaInf
Link copied to clipboard
abstract fun metaInf(configuration: Action<in MetaInfNormalization>)
Configures the normalization strategy for the `META-INF` directory in archives.
properties
Link copied to clipboard
abstract fun properties(configuration: Action<in PropertiesFileNormalization>)
Normalize all properties files according to the rules provided by `configuration`.
abstract fun properties(pattern: String, configuration: Action<in PropertiesFileNormalization>)
Normalize files matching `pattern` as properties files, ignoring comments and property order, applying the rules provided by `configuration`.